Uploaded image for project: 'Spring Roo'
  1. Spring Roo
  2. ROO-2799

gwt 2.4 upgrade fails due to Request Factory new validation system

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Minor
    • Resolution: Complete
    • Affects Version/s: 1.2.0.M1
    • Fix Version/s: 1.2.0.RC1
    • Component/s: GWT
    • Environment:
      STS 2.7.2 on OS X Lion, MBA2010

      Description

      I scaffolded a new project with GAE 1.5.4 and GWT 2.4.0

      Everything works well to the point there is the first Request Factory Call when I get this error:

      The RequestFactory ValidationTool must be run for the com.qunb.app.client.managed.request.ApplicationRequestFactory RequestFactory type

      Since it's a new validator coming with GWT 2.4.0, I tried to fix it through the pom according to
      http://googlewebtoolkit.blogspot.com/2011/09/working-with-maven-and-requestfactory.html

      so I add 2 dependencies and the 2 extra plugins, but then the build will never be successful (plugin processing failure).
      Then, removing plugins, this addition of the sole dependencies fix that.

      <dependency>
      <groupId>com.google.web.bindery</groupId>
      <artifactId>requestfactory-server</artifactId>
      <version>2.4.0</version>
      </dependency>

      <!-- see sample projects for correct placement -->
      <dependency>
      <groupId>com.google.web.bindery</groupId>
      <artifactId>requestfactory-apt</artifactId>
      <version>2.4.0</version>
      </dependency>

        Attachments

          Activity

            People

            Assignee:
            jtyrrell James Tyrrell
            Reporter:
            jbtheard Jean-Baptiste Théard
            Votes:
            1 Vote for this issue
            Watchers:
            3 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: